/*
 * $Id$
 */

package org.apache.maven.continuum.web.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class ProjectSummary implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field id
     */
    private int id = -1;

    /**
     * Field name
     */
    private String name;

    /**
     * Field version
     */
    private String version;

    /**
     * Field projectGroupId
     */
    private int projectGroupId = -1;

    /**
     * Field projectGroupName
     */
    private String projectGroupName;

    /**
     * Field latestBuildId
     */
    private int latestBuildId = -1;

    /**
     * Field buildInSuccessId
     */
    private int buildInSuccessId = -1;

    /**
     * Field buildNumber
     */
    private int buildNumber = -1;

    /**
     * Field state
     */
    private int state = -1;

    /**
     * Field inBuildingQueue
     */
    private boolean inBuildingQueue = false;

    /**
     * Field inCheckoutQueue
     */
    private boolean inCheckoutQueue = false;

    /**
     * Field lastBuildDateTime
     */
    private long lastBuildDateTime = 0;

    /**
     * Field lastBuildDuration
     */
    private String lastBuildDuration;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get 
     */
    public int getBuildInSuccessId()
    {
        return this.buildInSuccessId;
    } //-- int getBuildInSuccessId() 

    /**
     * Get 
     */
    public int getBuildNumber()
    {
        return this.buildNumber;
    } //-- int getBuildNumber() 

    /**
     * Get project id of the project
     */
    public int getId()
    {
        return this.id;
    } //-- int getId() 

    /**
     * Get last build dateTime of the project
     */
    public long getLastBuildDateTime()
    {
        return this.lastBuildDateTime;
    } //-- long getLastBuildDateTime() 

    /**
     * Get last build duration of the project
     */
    public String getLastBuildDuration()
    {
        return this.lastBuildDuration;
    } //-- String getLastBuildDuration() 

    /**
     * Get latest build id of the project
     */
    public int getLatestBuildId()
    {
        return this.latestBuildId;
    } //-- int getLatestBuildId() 

    /**
     * Get name of the project
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Get id of the project group this project is a member of
     */
    public int getProjectGroupId()
    {
        return this.projectGroupId;
    } //-- int getProjectGroupId() 

    /**
     * Get name of the project group this project is a member of
     */
    public String getProjectGroupName()
    {
        return this.projectGroupName;
    } //-- String getProjectGroupName() 

    /**
     * Get lifecycle state of the project
     */
    public int getState()
    {
        return this.state;
    } //-- int getState() 

    /**
     * Get version of the project
     */
    public String getVersion()
    {
        return this.version;
    } //-- String getVersion() 

    /**
     * Get true/false depending on if the project is in the build
     * queue or not
     */
    public boolean isInBuildingQueue()
    {
        return this.inBuildingQueue;
    } //-- boolean isInBuildingQueue() 

    /**
     * Get true/false depending on if the project is in the
     * checkout queue or not
     */
    public boolean isInCheckoutQueue()
    {
        return this.inCheckoutQueue;
    } //-- boolean isInCheckoutQueue() 

    /**
     * Set 
     * 
     * @param buildInSuccessId
     */
    public void setBuildInSuccessId(int buildInSuccessId)
    {
        this.buildInSuccessId = buildInSuccessId;
    } //-- void setBuildInSuccessId(int) 

    /**
     * Set 
     * 
     * @param buildNumber
     */
    public void setBuildNumber(int buildNumber)
    {
        this.buildNumber = buildNumber;
    } //-- void setBuildNumber(int) 

    /**
     * Set project id of the project
     * 
     * @param id
     */
    public void setId(int id)
    {
        this.id = id;
    } //-- void setId(int) 

    /**
     * Set true/false depending on if the project is in the build
     * queue or not
     * 
     * @param inBuildingQueue
     */
    public void setInBuildingQueue(boolean inBuildingQueue)
    {
        this.inBuildingQueue = inBuildingQueue;
    } //-- void setInBuildingQueue(boolean) 

    /**
     * Set true/false depending on if the project is in the
     * checkout queue or not
     * 
     * @param inCheckoutQueue
     */
    public void setInCheckoutQueue(boolean inCheckoutQueue)
    {
        this.inCheckoutQueue = inCheckoutQueue;
    } //-- void setInCheckoutQueue(boolean) 

    /**
     * Set last build dateTime of the project
     * 
     * @param lastBuildDateTime
     */
    public void setLastBuildDateTime(long lastBuildDateTime)
    {
        this.lastBuildDateTime = lastBuildDateTime;
    } //-- void setLastBuildDateTime(long) 

    /**
     * Set last build duration of the project
     * 
     * @param lastBuildDuration
     */
    public void setLastBuildDuration(String lastBuildDuration)
    {
        this.lastBuildDuration = lastBuildDuration;
    } //-- void setLastBuildDuration(String) 

    /**
     * Set latest build id of the project
     * 
     * @param latestBuildId
     */
    public void setLatestBuildId(int latestBuildId)
    {
        this.latestBuildId = latestBuildId;
    } //-- void setLatestBuildId(int) 

    /**
     * Set name of the project
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Set id of the project group this project is a member of
     * 
     * @param projectGroupId
     */
    public void setProjectGroupId(int projectGroupId)
    {
        this.projectGroupId = projectGroupId;
    } //-- void setProjectGroupId(int) 

    /**
     * Set name of the project group this project is a member of
     * 
     * @param projectGroupName
     */
    public void setProjectGroupName(String projectGroupName)
    {
        this.projectGroupName = projectGroupName;
    } //-- void setProjectGroupName(String) 

    /**
     * Set lifecycle state of the project
     * 
     * @param state
     */
    public void setState(int state)
    {
        this.state = state;
    } //-- void setState(int) 

    /**
     * Set version of the project
     * 
     * @param version
     */
    public void setVersion(String version)
    {
        this.version = version;
    } //-- void setVersion(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
